﻿Copyright (c) (2017) Fluke Corporation                      MET/CAL Procedure
=============================================================================
INSTRUMENT:            Tektronix TDS 3014B: (1 year) VER VISA /9500+4Hd
DATE:                  2017-03-07 09:10:01
AUTHOR:                Fluke
REVISION:              $Revision: 18535 $
ADJUSTMENT THRESHOLD:  70%
NUMBER OF TESTS:       1
NUMBER OF LINES:       208
CONFIGURATION:         Datron 9500 (C5,S6)
CONFIGURATION:         Datron 9510 on channel 1
CONFIGURATION:         Datron 9510 on channel 2
CONFIGURATION:         Datron 9510 on channel 3
CONFIGURATION:         Datron 9510 on channel 4
=============================================================================
#
#  Procedure Author:
#        ZY
#
#  Source(s):
#        TDS3000B Series Digital Phosphor Oscilloscopes
#        Service Manual, 071-0972-04
#
#  Compatibility:
#        MET/CAL 7.3.38 or later
#
#  Additional Equipment Required:
#        None
#
#  This procedure is intended for use with MET/CAL® calibration software;
#  the terms and conditions set forth in your MET/CAL license apply to this
#  procedure.
#
#  Due to Fluke's policy of continuously updating our products, this procedure
#  may contain minor differences in methods used and/or specifications to
#  those found in the manual or other documentation. While every effort has
#  been made to ensure that this procedure is accurate, Fluke cannot be held
#  responsible for the consequences of error or omissions found within this
#  procedure.
#
#  The copyright in this procedure is owned by Fluke Corporation.
#
 STEP    FSC    RANGE NOMINAL        TOLERANCE     MOD1        MOD2  3  4 CON

# These statements are here to force the main procedure header to list the
# configuration required by the subprocedures.
  1.001  IF           0
  1.002  M9500                       CH1
  1.003  9500         500MH                        1Vpp           LS    S  L
  1.004  M9500                       CH2
  1.005  9500         500MH                        1Vpp           LS    S  L
  1.006  M9500                       CH3
  1.007  9500         500MH                        1Vpp           LS    S  L
  1.008  M9500                       CH4
  1.009  9500         500MH                        1Vpp           LS    S  L
  1.010  ENDIF

  1.011  ASK-   R   Q N              P                            A        V
# ASK+ K is required for measurement uncertainty.
  1.012  ASK+           K

  1.013  IF           NOT(VERSIONCHECK("7.3.38"))
  1.014  END
  1.015  ENDIF

  1.016  CALL         Sub Display Copyright
  1.017  CALL         Sub High Voltage Safety Warning
  1.018  CALL         Sub Select Failed Test Mode
  1.019  CALL         Sub Select Guardbanding & Ver Method (No NTHROW)

  1.020  HEAD         PRELIMINARY INSTRUCTIONS
  1.021  TARGET
  1.022  DISP         Ensure a minimum UUT warm-up time of at least
  1.022  DISP         20 minutes has been allowed to elapse, prior
  1.022  DISP         to beginning verification.

  1.023  CALL         Sub Tek TDS3000B Ethernet Interface Connection

  1.024  VISA         *RST

  1.025  HEAD         UUT IDENTIFICATION
  1.026  CALL         Sub IEEE-488.2 Identification Query VISA

  1.027  MATH         @UUT_Manufacturer = "Tektronix"
  1.028  MATH         @UUT_Model        = "TDS 3014B"
  1.029  CALL         Sub IEEE-488.2 Identification Query Check Response
  1.030  JMPL         END                           @Abort

  1.031  CALL         Sub Tek TDS3000 Check Firmware Version
  1.032  JMPL         END                           @Abort

  1.033  CALL         Sub Datron 9500 Configuration Query IEEE
  1.034  CALL         Sub Tek TDS3000 Set Bandwidth & Number of Channels
  1.035  CALL         Sub Tek TDS3000 Signal Path Compensation Cal VISA
  1.036  JMPL         END                           @Abort

  1.037  CALL         Sub Tek TDS3000 Self-Test VISA
  1.038  JMPL         END                           @Abort

  1.039  IF           @HeadTypeCh1 == "9560"
  1.040  MATH         Ch1Adapter = " via SMA(f)-BNC(m) adapter"
  1.041  ELSE
  1.042  MATH         Ch1Adapter = ""
  1.043  ENDIF

  1.044  IF           @HeadTypeCh2 == "9560"
  1.045  MATH         Ch2Adapter = " via SMA(f)-BNC(m) adapter"
  1.046  ELSE
  1.047  MATH         Ch2Adapter = ""
  1.048  ENDIF

  1.049  IF           @HeadTypeCh3 == "9560"
  1.050  MATH         Ch3Adapter = " via SMA(f)-BNC(m) adapter"
  1.051  ELSE
  1.052  MATH         Ch3Adapter = ""
  1.053  ENDIF

  1.054  IF           @HeadTypeCh4 == "9560"
  1.055  MATH         Ch4Adapter = " via SMA(f)-BNC(m) adapter"
  1.056  ELSE
  1.057  MATH         Ch4Adapter = ""
  1.058  ENDIF

  1.059  DISP         Connect the 9500 to the UUT as follows:
  1.059  DISP
  1.059  DISP         CH 1 Active Head to UUT CH 1[V Ch1Adapter].
  1.059  DISP         CH 2 Active Head to UUT CH 2[V Ch2Adapter].
  1.059  DISP         CH 3 Active Head to UUT CH 3[V Ch3Adapter].
  1.059  DISP         CH 4 Active Head to UUT CH 4[V Ch4Adapter].

  1.060  MATH         @Chan = 1
  1.061  M9500                       CH1
  1.062  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500

  1.063  MATH         @Chan = 2
  1.064  M9500                       CH2
  1.065  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500

  1.066  MATH         @Chan = 3
  1.067  M9500                       CH3
  1.068  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500

  1.069  MATH         @Chan = 4
  1.070  M9500                       CH4
  1.071  CALL         Sub Tek TDS3000B (1 yr) DCV VISA /9500

  1.072  MATH         @Chan = 1
  1.073  M9500                       CH1
  1.074  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600

  1.075  MATH         @Chan = 2
  1.076  M9500                       CH2
  1.077  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600

  1.078  MATH         @Chan = 3
  1.079  M9500                       CH3
  1.080  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600

  1.081  MATH         @Chan = 4
  1.082  M9500                       CH4
  1.083  CALL         Sub Tek TDS3000B (1 yr) Bandwidth VISA /9500/600

  1.084  MATH         @Chan = 1
  1.085  M9500                       CH1
  1.086  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600

  1.087  MATH         @Chan = 2
  1.088  M9500                       CH2
  1.089  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600

  1.090  MATH         @Chan = 3
  1.091  M9500                       CH3
  1.092  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600

  1.093  MATH         @Chan = 4
  1.094  M9500                       CH4
  1.095  CALL         Sub Tek TDS3000B (1 yr) Full BW Trig VISA /9500/600

  1.096  MATH         @Chan = 1
  1.097  M9500                       CH1
  1.098  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600

  1.099  MATH         @Chan = 2
  1.100  M9500                       CH2
  1.101  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600

  1.102  MATH         @Chan = 3
  1.103  M9500                       CH3
  1.104  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600

  1.105  MATH         @Chan = 4
  1.106  M9500                       CH4
  1.107  CALL         Sub Tek TDS3000B (1 yr) 50 MHz Trig VISA /9500/600

  1.108  MATH         @Chan = 1
  1.109  M9500                       CH1
  1.110  CALL         Sub Tek TDS3000B (1 yr) Sample Rate VISA /9500

  1.111  LABEL        END
  1.112  HEAD         -2

  1.113  IF           @Abort
  1.114  HEAD         V E R I F I C A T I O N   A B O R T E D !
  1.115  ELSE
  1.116  HEAD         V E R I F I C A T I O N   C O M P L E T E
  1.117  ENDIF

  1.118  END
